<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>S03: HTML First Activity</title>
</head>
<body>
    <em>Science and Engineering Ethics (2001) 7, 231-238</em>
    <hr>
    <h1> Software Engineering Code of Ethics and Professional Practice</h1>
    <h4>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and
        Professional Practices
    </h4>
    <hr>
    <h4>PREAMBLE</h4>
    <p> The short version of the code summarizes aspirations at a high level of
        abstraction. The clauses that are included in the full version give examples
        and details of how these aspirations change the way we act as software 
        engineering professionals. Without the aspirations, the details can become
        legalistic and tedious; without the details, the aspirations can become
        high-sounding but empty; together, the aspirations and the details form a cohesive
        code
        <br>
        Software enginners shall commit themselves to making the analysis, specification,
        design, development, testing, and maintenance of software a beneficial and respected
        profession. In accordance with their commitment to the health, safety, and welfare
        of the public, software engineers, shall adhere to the following eight Principles.
    </p>
    <h4>PRINCIPLES</h4>
    <ol>
        <li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
        <li><em>Client and employeer</em>. Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
        <li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
        <li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
        <li><em>Management</em>. Software engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
        <li><em>Profession</em>. Software engineers shall advance the integrity and reputation of the profession consisten with the public interest.</li>
        <li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
        <li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
    </ol>
</body>
</html>